package cn.bsystem.ptlog.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ptyhczrzDao")
public class PtyhczrzDao  extends BaseSqlMapDAO{
	
	
	/**
	 * 增加记录
	 * @param map
	 */
	public void insert_Ptyhczrz(Map map) throws SQLException{
		this.insert("insert_Ptyhczrz",map);
	}
	
	/**
	 * 批处理增加记录
	 * @param batch
	 */
	public void batch_insert_Ptyhczrz(List batch) throws SQLException{
		this.insert("batch_insert_Ptyhczrz",batch);
	}

	/**
	 * 修改记录
	 * @param map
	 * @return Integer
	 */
	public Integer update_Ptyhczrz(Map map) throws SQLException{
		return this.update("update_Ptyhczrz",map);
	}

	/**
	 * 删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer delete_Ptyhczrz(Map map) throws SQLException{
		return this.delete("delete_Ptyhczrz",map);
	}
	
	/**
	 * 批处理删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer batch_delete_Ptyhczrz(Map map) throws SQLException{
		return this.delete("batch_delete_Ptyhczrz",map);
	}

	
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_Ptyhczrz(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ptyhczrz",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_Ptyhczrz(Map map) throws SQLException{
		return this.queryForPage("query_Ptyhczrz",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public Map get_Ptyhczrz(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ptyhczrz",map);
	}
	
}
